Connect a provider key
curl --request POST \
--url https://api.zode.dev/v1/agents/credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"api_key": "<string>"
}
'import requests
url = "https://api.zode.dev/v1/agents/credentials"
payload = { "api_key": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({api_key: '<string>'})
};
fetch('https://api.zode.dev/v1/agents/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.zode.dev/v1/agents/credentials",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'api_key' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.zode.dev/v1/agents/credentials"
payload := strings.NewReader("{\n \"api_key\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.zode.dev/v1/agents/credentials")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"api_key\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.zode.dev/v1/agents/credentials")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"api_key\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"harnesses": [
{
"id": "claude-code",
"name": "<string>",
"providers": [
"<string>"
],
"connected_via": [
"<string>"
],
"connected": true,
"default": true,
"default_model": "<string>",
"models": [
{
"id": "<string>",
"provider": "<string>"
}
],
"auth_method": "api_key",
"subscription": {
"kind": "claude",
"name": "<string>",
"connected": true,
"hint": "<string>",
"account_email": "<string>",
"connected_at": "2023-11-07T05:31:56Z",
"method": "paste",
"sign_in": {
"id": "<string>",
"harness": "claude-code",
"sandbox_id": "<string>",
"sandbox_name": "<string>",
"state": "starting",
"url": "<string>",
"user_code": "<string>",
"needs_code": true,
"expires_at": "2023-11-07T05:31:56Z",
"error": "<string>"
}
}
}
],
"credentials": [
{
"provider": "<string>",
"name": "<string>",
"connected": true,
"hint": "<string>",
"connected_at": "2023-11-07T05:31:56Z",
"used_by": [
"<string>"
]
}
],
"default_harness": "<string>",
"secrets_available": true,
"sign_in_sandbox": {
"id": "<string>",
"name": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>"
}
}Agents
Connect a provider key
Connect (or replace) the caller’s key for a provider.
Write-only. Sealed with ZODE_SECRETS_KEY (AES-256-GCM, bound to user
and provider); 503 secrets_unavailable when the server has no key.
Usable by every harness that accepts the provider. Audited as
agent.credential.set with provider and replaced, never the key.
POST
/
v1
/
agents
/
credentials
Connect a provider key
curl --request POST \
--url https://api.zode.dev/v1/agents/credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"api_key": "<string>"
}
'import requests
url = "https://api.zode.dev/v1/agents/credentials"
payload = { "api_key": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({api_key: '<string>'})
};
fetch('https://api.zode.dev/v1/agents/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.zode.dev/v1/agents/credentials",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'api_key' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.zode.dev/v1/agents/credentials"
payload := strings.NewReader("{\n \"api_key\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.zode.dev/v1/agents/credentials")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"api_key\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.zode.dev/v1/agents/credentials")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"api_key\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"harnesses": [
{
"id": "claude-code",
"name": "<string>",
"providers": [
"<string>"
],
"connected_via": [
"<string>"
],
"connected": true,
"default": true,
"default_model": "<string>",
"models": [
{
"id": "<string>",
"provider": "<string>"
}
],
"auth_method": "api_key",
"subscription": {
"kind": "claude",
"name": "<string>",
"connected": true,
"hint": "<string>",
"account_email": "<string>",
"connected_at": "2023-11-07T05:31:56Z",
"method": "paste",
"sign_in": {
"id": "<string>",
"harness": "claude-code",
"sandbox_id": "<string>",
"sandbox_name": "<string>",
"state": "starting",
"url": "<string>",
"user_code": "<string>",
"needs_code": true,
"expires_at": "2023-11-07T05:31:56Z",
"error": "<string>"
}
}
}
],
"credentials": [
{
"provider": "<string>",
"name": "<string>",
"connected": true,
"hint": "<string>",
"connected_at": "2023-11-07T05:31:56Z",
"used_by": [
"<string>"
]
}
],
"default_harness": "<string>",
"secrets_available": true,
"sign_in_sandbox": {
"id": "<string>",
"name": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>"
}
}Authorizations
An API key (zode_tok_...). Create one in the console under API keys (https://console.zode.dev/tokens), or with zode login.
Body
application/json
Response
Updated agents view
⌘I